See the top rated post in this thread. Click here

Results 1 to 9 of 9

Thread: rotate text to horizontal in viewport

  1. #1
    100 Club
    Join Date
    2016-04
    Location
    California
    Posts
    150
    Login to Give a bone
    0

    Default rotate text to horizontal in viewport

    Hey all,
    I have a drawing where my colleague rotated the view in the viewport 60 degrees and of course all the text is rotated as well. Is there a way to leave the viewport as is but rotate the text back to horizontal? I can rotate all the text individually but there is probably a better way.
    Thanks,
    TT

  2. #2
    I could stop if I wanted to
    Join Date
    2015-10
    Location
    Central New Jersey
    Posts
    439
    Login to Give a bone
    2

    Default Re: rotate text to horizontal in viewport

    Set the UCS to 'view'. Select all the text and set their rotation property to 0.


    There's also a command for setting text rotation. Torient? It doesn't work on multileaders.
    Last edited by MMccall; 2018-01-13 at 12:58 AM.

  3. #3
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,665
    Login to Give a bone
    0

    Default Re: rotate text to horizontal in viewport

    As everything we do in Civil 3D is referenced by coordinates I would recommend not changing from WCS to a UCS. You can use the DVIEW command's TWist option to twist a view to replicate the twisted Plan views Civil 3D creates. If there are any UCS's in the drawing they were not created by Civil 3D. For just about every other application of AutoCAD UCS's are quite useful. In Civil 3D work having more than one set of coordinates can be a disaster.

    Love that Civil 3D labels display horizontally or at whatever angle we set them to. Always do annotation last on any drawing. I work with people who get frustrated when after adding a layout and setting a viewport scale their text and dimensioning doesn't look right. I explain how to avoid it in the future and cross my fingers.

  4. #4
    I could stop if I wanted to
    Join Date
    2015-05
    Location
    West Des Moines
    Posts
    306
    Login to Give a bone
    1

    Default Re: rotate text to horizontal in viewport

    If it's mtext you can select the text, and in the properties panel tell it to match drawing orientation and it will always display horizontally regardless of how you adjust the viewport.

  5. #5
    All AUGI, all the time
    Join Date
    2004-06
    Location
    Slidell, Louisiana
    Posts
    972
    Login to Give a bone
    0

    Default Re: rotate text to horizontal in viewport

    Quote Originally Posted by CCarleton View Post
    If it's mtext you can select the text, and in the properties panel tell it to match drawing orientation and it will always display horizontally regardless of how you adjust the viewport.
    can you explain that a litter further, not following "match drawing orientation". is that a setting, command or manually entering the angle of rotation.

  6. #6
    Certifiable AUGI Addict
    Join Date
    2001-03
    Location
    Tallahassee, FL USA
    Posts
    3,665
    Login to Give a bone
    0

    Default Re: rotate text to horizontal in viewport

    Try this:
    Code:
    ;| https://forums.augi.com/showthread.php?171018-rotate-text-to-horizontal-in-viewport&p=1332928&viewfull=1#post1332928
       http://www.theswamp.org/index.php?topic=55060.msg595136#msg595136
       https://www.cadtutor.net/forum/topic/68912-setvar-snapang-using-lisp-with-greater-than-or-equal-condition/?tab=comments#comment-557172
    Set block insert, text, mtext, & dimtext angle Horizontal by Tom Beauford
     (load "TextHoriz.lsp") TextHoriz
       Macro: ^P(or C:TextHoriz (load "TextHoriz.lsp"));TextHoriz
       Command line: (load "TextHoriz.lsp") TextHoriz |;
    (defun c:TextHoriz (/ ss1 num cnt viewtwist snapang etype obj dimr)
      (setq ss1 (ssget '((0 . "insert,mtext,text,dimension")))
            num (sslength ss1)
            cnt 0
            viewtwist (getvar "viewtwist")
            snapang (- (rem (+ (getvar 'snapang) (/ pi 2.0)) pi) (/ pi 2.0))
      )
      (if (or (= snapang (* (/ pi 2) -1)) (= snapang (* (/ pi 2) 3)))(setvar 'snapang (/ pi 2)))
      (if(/= viewtwist 0.0)
    	(repeat num
    	  (setq ent (ssname ss1 cnt)etype (cdr(assoc 0 (entget ent))))
    	  (setq obj (vlax-ename->vla-object ent))
    	  (if(= etype "DIMENSION")
    		(progn
    		  (setq dimr (- (vla-get-Rotation obj)viewtwist))
    		  (vla-put-TextRotation obj dimr)
    		)
    		(vla-put-Rotation obj (- viewtwist))
    	  )
    	  (setq cnt (1+ cnt))
    	) ; repeat
    	(repeat num
    	  (setq ent (ssname ss1 cnt)etype (cdr(assoc 0 (entget ent))))
    	  (setq obj (vlax-ename->vla-object ent))
    	  (if(= etype "DIMENSION")
    		(progn
    		  (setq dimr (+ (vla-get-Rotation obj)snapang))
    		  (vla-put-TextRotation obj dimr)
    		)
    		(vla-put-Rotation obj snapang)
    	  )
    	  (setq cnt (1+ cnt))
    	) ; repeat
    ;	(princ "\nNo TWist in Viewport.")
      ) ; if
      (princ)
    )
    Last edited by Tom Beauford; 2019-10-30 at 02:03 PM. Reason: Added support for snapang as well.

  7. #7
    I could stop if I wanted to
    Join Date
    2015-05
    Location
    West Des Moines
    Posts
    306
    Login to Give a bone
    0

    Default Re: rotate text to horizontal in viewport

    Quote Originally Posted by rmk View Post
    can you explain that a litter further, not following "match drawing orientation". is that a setting, command or manually entering the angle of rotation.
    I was slightly off on the name, but attached images refer to what I am talking about.

    If you have it off you can dink around with the rotation. If you have it on you can't, and it just makes it show up as if it was at zero degrees rotation.
    Attached Images Attached Images

  8. #8
    All AUGI, all the time
    Join Date
    2004-06
    Location
    Slidell, Louisiana
    Posts
    972
    Login to Give a bone
    0

    Default Re: rotate text to horizontal in viewport

    Quote Originally Posted by CCarleton View Post
    I was slightly off on the name, but attached images refer to what I am talking about.

    If you have it off you can dink around with the rotation. If you have it on you can't, and it just makes it show up as if it was at zero degrees rotation.
    That only works with annotative text, right? that's a pretty neat tool. thanks for the info. I always fooled around with rotation or changing the orientation of the cross hairs or just living with it.

  9. #9
    I could stop if I wanted to
    Join Date
    2015-05
    Location
    West Des Moines
    Posts
    306
    Login to Give a bone
    0

    Default Re: rotate text to horizontal in viewport

    Quote Originally Posted by rmk View Post
    That only works with annotative text, right? that's a pretty neat tool. thanks for the info. I always fooled around with rotation or changing the orientation of the cross hairs or just living with it.
    Yeah, it appears so. Never noticed that to be honest, but there you have it.

Similar Threads

  1. Rotate Viewport
    By Spanky in forum AutoCAD General
    Replies: 31
    Last Post: 2009-04-22, 04:54 PM
  2. Rotate viewport
    By rhayes.99001 in forum ACA General
    Replies: 4
    Last Post: 2008-07-17, 01:39 PM
  3. Rotate Viewport
    By Jack Cheong in forum AutoCAD General
    Replies: 10
    Last Post: 2007-11-20, 10:36 PM
  4. Rotate the viewport, rotate the MS content
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 1
    Last Post: 2006-07-12, 12:38 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •